## ros-humble-catch-ros2 0.1.0

=== examples/custom_main/CMakeLists.txt ===
# This CMakeLists.txt only include the lines needed to set up this test
# in your own custom ROS 2 package. Other necessary CMake commands
# (such as the boilerplate ROS 2 items added when using ros2 pkg create)
# are omitted.

# THIS LINE SHOULD BE UNCOMMENTED - it is only commented here
# so this file can be included in the top level CMakeLists.txt
# find_package(catch_ros2 REQUIRED) # UNCOMMENT

if(BUILD_TESTING)
  include(CTest)

  ###########################
  ## TEST WITH CUSTOM MAIN ##
  ###########################
  add_executable(example_test_with_custom_main
    examples/custom_main/example_test_with_custom_main.cpp
  )
  # Linking a test executable with catch_ros2::catch_ros2
  # provides no main function. The user must supply their own.
  target_link_libraries(example_test_with_custom_main
    catch_ros2::catch_ros2
  )
  add_test(NAME ExampleTestWithCustomMain COMMAND example_test_with_custom_main)
endif()

=== debian/changelog ===
ros-humble-catch-ros2 (0.1.0-1jammy) jammy; urgency=high

  * Initial Release
  * Contributors: Nick Morales

 -- Nick Morales <ngmorales97@gmail.com>  Fri, 23 Jun 2023 05:00:00 -0000

=== debian/control ===
Source: ros-humble-catch-ros2
Section: misc
Priority: optional
Maintainer: Nick Morales <ngmorales97@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-ros2launch, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-catch-ros2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclcpp, ros-humble-ros2launch, ros-humble-std-srvs, ros-humble-ros-workspace
Description: Catch2 testing framework for ROS 2 unit and integration tests.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-catch-ros2//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-catch-ros2 0.2.1

=== debian/changelog ===
ros-humble-catch-ros2 (0.2.1-2bookworm) bookworm; urgency=high

  * Updated to Catch2 v3.5.4
  * Contributors: Nick Morales

 -- Nick Morales <ngmorales97@gmail.com>  Fri, 12 Apr 2024 16:00:00 -0000

ros-humble-catch-ros2 (0.2.0-2bookworm) bookworm; urgency=high

  * Updated to Catch2 v3.4.0
  * Add launch_catch_ros2 Python package to the launch.frontend.launch_extension group
  * Expose launch_catch_ros2 items to frontend (XML/YAML) launch files
  * Update documentation
  * Contributors: Nick Morales

 -- Nick Morales <ngmorales97@gmail.com>  Thu, 19 Oct 2023 16:00:00 -0000

ros-humble-catch-ros2 (0.1.0-2bookworm) bookworm; urgency=high

  * Initial Release
  * Contributors: Nick Morales

 -- Nick Morales <ngmorales97@gmail.com>  Thu, 22 Jun 2023 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-catch-ros2//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-catch-ros2//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-catch-ros2//opt/ros/humble/opt/catch_ros2/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
